<packet name="LoginResponse">
	<version number="1">
		<u8 name="reply_code">
		<u16 name="unknown01">
		<u8 name="unknown02">
		<i32 name="unknown03">
		<i32 name="unknown04">
		<i32 name="unknown05">
		<u32 name="accountid">
		<u16 name="unknown06">
		<u8 name="unknown07">
		<u8 name="unknown08">
		<u32 name="unknown09">
		<u8 name="unknown10">
		<u32 name="unknown11">
		<u8 name="unknown12">
	</version>
	<version number="546">
		<u8 name="reply_code">
		<u16 name="unknown">
		<u8 name="unknown01">
		<i32 name="unknown03">
		<i32 name="unknown04">
		<u8 name="unknown15" size="11">
		<u8 name="unknown02">
	</version>
	<version number="561">
		<u8 name="reply_code">
		<u8 name="unknown01" size="22">
		<u8 name="unknown02">
		<i32 name="unknown03">
		<i32 name="unknown04">
		<i32 name="unknown05">
		<u32 name="accountid">
		<u8 name="unknown06" size="7">
		<u32 name="unknown07">
		<u32 name="unknown08">
		<u32 name="unknown09">
		<u32 name="unknown10">
	</version>
	<version number="1096">
		<u8 name="reply_code">
		<u8 name="unknown01" size="22">
		<u8 name="unknown02">
		<i32 name="unknown03">
		<i32 name="unknown04">
		<i32 name="unknown05">
		<u32 name="accountid">
		<u8 name="unknown06" size="7">
		<u32 name="unknown07">
		<u32 name="unknown08">
		<u32 name="unknown09">
		<u32 name="unknown10">
	</version>
	<version number="1144">
		<u8 name="reply_code">
		<u8 name="unknown01" size="22">
		<u8 name="unknown02">
		<i32 name="unknown03">
		<i32 name="unknown04">
		<i32 name="unknown05">
		<u32 name="accountid">
		<u8 name="unknown06" size="15">
		<u32 name="unknown07">
		<u32 name="unknown08">
		<u32 name="unknown09">
		<u32 name="unknown10">
	</version>
	<version number="1153">
		<u8 name="reply_code">
		<u8 name="unknown01" size="22">
		<u8 name="unknown02">
		<i32 name="unknown03">
		<i32 name="unknown04">
		<i32 name="unknown05">
		<u32 name="accountid">
		<u8 name="unknown06" size="7">
		<u32 name="unknown07">
		<u32 name="unknown08">
		<u32 name="unknown09">
		<u32 name="unknown10">
		<u32 name="unknown11">
	</version>
	<version number="1193">
		<u8 name="reply_code">
		<u8 name="unknown01" size="22">
		<u8 name="unknown02">
		<i32 name="unknown03">
		<i32 name="unknown04">
		<i32 name="unknown05">
		<u32 name="accountid">
		<u8 name="unknown06" size="7">
		<u32 name="unknown07">
		<u32 name="unknown08">
		<u32 name="unknown09">
		<u32 name="unknown10">
		<u32 name="unknown11">
		<u16 name="unknown12">
	</version>
	<version number="60100">
		<u8 name="login_response">
		<str16 name="unknown">
		<u8 name="parental_control_flag">
		<u32 name="parental_control_timer">
		<u8 name="unknown2" size="8">
		<u32 name="account_id">
		<str16 name="unknown3">
		<u8 name="reset_appearance">
		<u8 name="do_not_force_soga">
		<u8 name="unknown4">
		<u16 name="unknown5">
		<u8 name="unknown6" size="5">
		<u32 name="unknown7">
		<u16 name="unknown7a">
		<u8 name="race_unknown">
		<u8 name="unknown8" size="3">
		<u8 name="unknown9" size="3">
		<u8 name="unknown10">
		<u8 name="num_class_items" if="var:unknown10">
		<array name="class_items" count="var:num_class_items" if="var:unknown10">
			<u8 name="class_id">
			<u8 name="num_items">
			<array name="starting_items" count="var:num_items">
				<u32 name="model_id">
				<u8 name="slot_id">
				<u8 name="use_color">
				<u8 name="use_highlight_color">
				<color name="model_color">
				<color name="model_highlight_color">
			</array>
		</array>
		<u8 name="unknown_array2_size">
		<array name="unknown_array2" count="var:unknown_array2_size">
			<u32 name="array2_unknown">
		</array>
		<u32 name="unknown11">
		<u32 name="sub_level">
		<u32 name="race_flag">
		<u32 name="class_flag">
		<str16 name="password">
		<str16 name="username">
		<str16 name="service">
		<u8 name="unknown12">
		<u8 name="lvl90_num_class_items" if="var:unknown12">
		<array name="lvl90_class_items" count="var:lvl90_num_class_items" if="var:unknown12">
			<u8 name="class_id">
			<u8 name="num_items">
			<array name="starting_items" count="var:num_items">
				<u32 name="model_id">
				<u8 name="slot_id">
				<u8 name="use_color">
				<u8 name="use_highlight_color">
				<color name="model_color">
				<color name="model_highlight_color">
			</array>
		</array>
		<u8 name="unknown13">
		<u8 name="time_locked_num_class_items" if="var:unknown13">
		<array name="time_locked_class_items" count="var:time_locked_num_class_items" if="var:unknown13">
			<u8 name="class_id">
			<u8 name="num_items">
			<array name="starting_items" count="var:num_items">
				<u32 name="model_id">
				<u8 name="slot_id">
				<u8 name="use_color">
				<u8 name="use_highlight_color">
				<color name="model_color">
				<color name="model_highlight_color">
			</array>
		</array>
		<u8 name="unknown14" size="13">
	</version>
	<version number="57048">
		<u8 name="reply_code">
		<u8 name="unknown01" size="22">
		<u8 name="unknown02">
		<i32 name="unknown03">
		<i32 name="unknown04">
		<i32 name="unknown05">
		<u32 name="accountid">
		<u8 name="unknown06" size="7">
		<u32 name="unknown07">
		<u32 name="unknown08">
		<u32 name="unknown09">
		<u32 name="unknown10">
		<u32 name="unknown11">
		<u32 name="unknown12" size="5">
	</version>
</packet>